#
# spec file for package perl-libintl-perl
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-libintl-perl
Version:        1.29
Release:        1.17
%define cpan_name libintl-perl
Summary:        High-Level Interface to Uniforum Message Translation
License:        GPL-3.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/libintl-perl/
Source0:        https://cpan.metacpan.org/authors/id/G/GU/GUIDO/%{cpan_name}-%{version}.tar.gz
Source1:        libintl-perl-rpmlintrc
Source2:        cpanspec.yml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(version) >= 0.77
Requires:       perl(version) >= 0.77
Recommends:     perl(File::ShareDir)
%{perl_requires}
# MANUAL BEGIN
Requires:       gettext-runtime >= 0.12.2
# MANUAL END

%description
This is an internationalization library for Perl that aims to be
compatible with the Uniforum message translations system as implemented
for example in GNU gettext.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%ifarch %arm
# This test blocks the qemu-arm and the worker gets stalled. Needs more attention.
rm  ./tests/04find_domain_bug.t
%endif
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes Credits FAQ NEWS README README.md README-oldversions README.solaris README.win32 REFERENCES THANKS TODO
%license COPYING

%changelog
* Fri Nov 10 2017 coolo@suse.com
- updated to 1.29
  see /usr/share/doc/packages/perl-libintl-perl/Changes
* Fri Sep  1 2017 coolo@suse.com
- updated to 1.28
  see /usr/share/doc/packages/perl-libintl-perl/ChangeLog
  commit 2e9b2284883b84eab39cc45eb864d6688ba2f930
  Author: Guido Flohr <guido.flohr@cantanea.com>
  Date:   Thu Aug 31 21:56:12 2017 +0300
    bumped version number to 1.28
  commit c9cd1546061ed7b2973ea81fd2427b610c87d134
  Author: Guido Flohr <guido.flohr@cantanea.com>
  Date:   Thu Aug 31 21:48:36 2017 +0300
    git ignore in sample
  commit f25061d0fbd8a287cdaa69e1b92737cc1d4e3b90
  Author: Guido Flohr <guido.flohr@cantanea.com>
  Date:   Wed Aug 30 22:52:14 2017 +0300
    editorial changes
  commit 53aab676068c1da95498c91b316d7125f8427e79
  Author: Guido Flohr <guido.flohr@cantanea.com>
  Date:   Wed Aug 30 22:50:07 2017 +0300
    use new class methods for xgettext options
  commit a6e4ee63d6a33ff9b49a061d239d76a69618bf45
  Author: Guido Flohr <guido.flohr@cantanea.com>
  Date:   Wed Aug 30 22:30:44 2017 +0300
    quote import tags in docs
  commit 63e7345ee6a78b172770a6910052b18bfe7e0c55
  Author: Guido Flohr <guido.flohr@cantanea.com>
  Date:   Wed Aug 30 22:23:58 2017 +0300
    updated copyright date
  commit 2ac9ce9e79f51697c44e5910e2620fcd77c858b4
  Author: Guido Flohr <guido.flohr@cantanea.com>
  Date:   Wed Aug 30 22:21:54 2017 +0300
    git ignore
  commit 9a5dc45010d68cc0b8decc728b413770f27aed6b
  Author: Guido Flohr <guido.flohr@cantanea.com>
  Date:   Wed Aug 30 22:15:39 2017 +0300
    updated FAQ
  commit 6753d9718d605ef11627bc79082e3e8dbe23958a
  Author: Guido Flohr <guido.flohr@cantanea.com>
  Date:   Wed Aug 30 22:03:54 2017 +0300
    new class methods options, flags, and keywords
    This will produce the default keyword and flag definitions for xgettext
    for Locale::TextDomain.
  commit f2b9d789f3ec7176ef79c17d71d29f9b191f5909
  Author: Guido Flohr <guido.flohr@cantanea.com>
  Date:   Wed Aug 30 21:57:05 2017 +0300
    updated ChangeLog
* Wed Aug  9 2017 coolo@suse.com
- updated to 1.27
  see /usr/share/doc/packages/perl-libintl-perl/ChangeLog
* Thu Jun 23 2016 coolo@suse.com
- updated to 1.26
  * Fixed more false negatives in tests, no need to upgrade.
* Wed Jun  1 2016 coolo@suse.com
- update to 1.25
  * Fixed false negatives in test suite, no need to upgrade the module!
  * Bugs fixed:
    https://rt.cpan.org/Ticket/Display.html?id=83980
    https://rt.cpan.org/Ticket/Display.html?id=47968
* Thu Sep 24 2015 coolo@suse.com
- update to 1.24
  * Better portability for tests.
  * Updated documentation.
  * License changed to GPLv3.
  * Bugs fixed:
    https://rt.cpan.org/Ticket/Display.html?id=98109
    https://rt.cpan.org/Ticket/Display.html?id=47968
    https://rt.cpan.org/Ticket/Display.html?id=83980
    https://rt.cpan.org/Ticket/Display.html?id=102288
  Version 1.23 - 24 Jan 2013
  * New message retrieval backend Locale::gettext_dumb(3pm) which produces
    translations even, when the corresponding locale is not present in
    the system.
  * Fixed a bug where the Perl backend under certain circumstances clobbered
    the environment variable LC_ALL.
  * Avoid test failures by skipping all tests that depend on the de_AT
    locale, when that locale is not installed.
  * Bugs fixed:
    https://rt.cpan.org/Ticket/Display.html?id=82856
  Version 1.22 - 24 Jan 2013
  * Version 1.22 outsmarted PAUSE (the CPAN upload facility) and had to
    be removed.
  Version 1.21 - 15 Jan 2013
  * Environment variables LANGUAGE and LANG are interpreted in the same way
    in the XS and the pure Perl version.
  * Package design closer to GNU standards.
* Mon Apr 15 2013 idonmez@suse.com
- Add Source URL, see https://en.opensuse.org/SourceUrls
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Tue Dec  8 2009 jengelh@medozas.de
- enable parallel building
* Mon Sep  7 2009 mls@suse.de
- update to libintl-perl-1.20
  * many test failures fixed
  * Fixed RT bug #46471, noop functions in scalar context.
* Fri Jul 10 2009 jansimon.moeller@opensuse.org
- Remove blocking test. It hangs qemu-arm and stalls the worker.
  rm  ./tests/04find_domain_bug.t
* Sun Nov 25 2007 ro@suse.de
- adapt requires to gettext rename (gettext-runtime)
* Fri Nov  9 2007 pth@suse.de
- Initial package, needed by gettext testsuite
